# $Revision: 1.40 $, $Date: 2009/09/17 07:43:10 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	POP3Client
Summary:	Mail::POP3Client - Perl POP3 client
Summary(pl.UTF-8):	Mail::POP3Client - klient POP3 dla Perla
Name:		perl-Mail-POP3Client
Version:	2.18
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	27b99775072f6ad4b585f7484c47405d
URL:		http://search.cpan.org/dist/Mail-POP3Client/
BuildRequires:	perl-Digest-MD5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mail::POP3Client - Perl POP3 client.

%description -l pl.UTF-8
Mail::POP3Client - klient POP3 dla Perla.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Mail/POP3Client.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Mail-POP3Client.spec,v $
Revision 1.40  2009/09/17 07:43:10  amateja
- updated to 2.18

Revision 1.39  2007/12/24 13:35:55  qboosh
- generic URL

Revision 1.38  2007-12-24 00:45:20  zbyniu
- up to 2.17

Revision 1.37  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.35  2004/11/03 22:30:32  paladine
- formatting

Revision 1.34  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.33  2004/04/25 06:25:08  ankry
- cosmetics: unification

Revision 1.32  2004/04/23 06:22:06  ankry
- license fixes/unification

Revision 1.31  2004/04/04 20:01:00  adamg
- updated to 2.16
- removed Digest-MD5 patch (not needed anymore)

Revision 1.30  2003/09/09 10:24:41  ankry
- spaces -> tab

Revision 1.29  2003/08/18 08:08:57  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.27  2003/05/25 06:24:46  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.25  2003/03/01 20:20:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.24  2003/02/25 00:40:15  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:36:08  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/11/26 00:14:09  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.21  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/03/03 21:57:01  marcus
- rel.2.

Revision 1.18  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/10 15:28:23  depesz
adapterized

Revision 1.16  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2002/01/16 23:30:51  kloczek
- updated to 2.9 (bugfix release).

Revision 1.14  2001/11/28 15:20:19  mis
- buildarch noarch; release++

Revision 1.13  2001/04/30 22:49:45  baggins
- added Digest-Md5 patch

Revision 1.12  2001/04/17 12:12:18  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/02/05 21:33:42  kloczek
- updated to 2.7.

Revision 1.9  2001/01/22 21:04:43  kloczek
- release 2: use rpm automation and rebuild against perl 5.6.

Revision 1.8  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.3  2000/02/18 01:34:51  pius
- updated to 2.5

Revision 1.2  1999/11/07 09:18:45  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:46  pius
- initial release
